VULKAN_HPP_NAMESPACE::ExternalMemoryProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ExternalMemoryProperties:
[legend]

## Public Member Functions

| operator VkExternalMemoryProperties const & () const
| operator VkExternalMemoryProperties & ()
bool | operator== (ExternalMemoryProperties const &rhs) const
bool | operator!= (ExternalMemoryProperties const &rhs) const

## Data Fields

ExternalMemoryFeatureFlags | externalMemoryFeatures
ExternalMemoryHandleTypeFlags | exportFromImportedHandleTypes
ExternalMemoryHandleTypeFlags | compatibleHandleTypes

## Detailed Description

Definition at line 32305 of file vulkan.hpp.

## Member Function Documentation

## operator VkExternalMemoryProperties &()

VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::operator VkExternalMemoryProperties & | ( |  | ) |

inline

Definition at line 32312 of file vulkan.hpp.

{
return *reinterpret_cast<VkExternalMemoryProperties*>(this);
}

## operator VkExternalMemoryProperties const &()

VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::operator VkExternalMemoryProperties const & | ( |  | ) | const

inline

Definition at line 32307 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExternalMemoryProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::operator!= | ( | ExternalMemoryProperties const & | rhs | ) | const

inline

Definition at line 32324 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::operator== | ( | ExternalMemoryProperties const & | rhs | ) | const

inline

Definition at line 32317 of file vulkan.hpp.

{
return ( externalMemoryFeatures == rhs.externalMemoryFeatures )
&& ( exportFromImportedHandleTypes == rhs.exportFromImportedHandleTypes )
&& ( compatibleHandleTypes == rhs.compatibleHandleTypes );
}

References compatibleHandleTypes, exportFromImportedHandleTypes, and externalMemoryFeatures.

Referenced by operator!=().

## Field Documentation

## compatibleHandleTypes

ExternalMemoryHandleTypeFlags VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::compatibleHandleTypes

Definition at line 32331 of file vulkan.hpp.

Referenced by operator==().

## exportFromImportedHandleTypes

ExternalMemoryHandleTypeFlags VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::exportFromImportedHandleTypes

Definition at line 32330 of file vulkan.hpp.

Referenced by operator==().

## externalMemoryFeatures

ExternalMemoryFeatureFlags VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::externalMemoryFeatures

Definition at line 32329 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::exportFromImportedHandleTypes
ExternalMemoryHandleTypeFlags exportFromImportedHandleTypes
Definition: vulkan.hpp:32330
VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::externalMemoryFeatures
ExternalMemoryFeatureFlags externalMemoryFeatures
Definition: vulkan.hpp:32329
VkExternalMemoryProperties
Definition: vulkan_core.h:4369
VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::operator==
bool operator==(ExternalMemoryProperties const &rhs) const
Definition: vulkan.hpp:32317
VULKAN_HPP_NAMESPACE::ExternalMemoryProperties::compatibleHandleTypes
ExternalMemoryHandleTypeFlags compatibleHandleTypes
Definition: vulkan.hpp:32331